using System.Web;
using System.Web.Services;

namespace Stat.web.MyAJAX
{
    /// <summary>
    /// $codebehindclassname$ 的摘要说明
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class HdUpdateShowStype : IHttpHandler
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="context"></param>
        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            //int webid = Plugin.Common.Rq_Int("id");
            //string stype = Plugin.Common.Rq("t");
            //context.Response.Write(UpdateShowStype(webid, stype));
            //context.Response.End();
        }
        private string UpdateShowStype(int webid, string stype)
        {
            if (webid > 0)
            {
                Model.WebSites model = new Stat.Model.WebSites();
                model.WebId = webid;
                model.ShowStype = stype;
                return BLL.WebSites.UpdateShowStype(model) ? "ok" : "no";
            }
            else
            {
                return "out";
            }

        }
        /// <summary>
        /// 
        /// </summary>
        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
